Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm
Class PhaseCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl

Direct Known Subclasses:
  ActionGroupCImpl, ActiveGraphCImpl, ActiveOutFileCImpl, ActivityControlCImpl, ArgumentsCImpl, ArrayCImpl, AveragerCImpl, BernoulliDistCImpl, BinomialDistCImpl, C2TAUS1genCImpl, C2TAUS2genCImpl, C2TAUS3genCImpl, CanvasCImpl, CanvasItemCImpl, ColormapCImpl, CompleteProbeMapCImpl, CompleteVarMapCImpl, ConcurrentScheduleCImpl, ConwayLife2dCImpl, CustomProbeMapCImpl, DblBuffer2dCImpl, DefaultProbeMapCImpl, Diffuse2dCImpl, Discrete2dCImpl, EmptyProbeMapCImpl, EntropyCImpl, ErrorCImpl, ExponentialDistCImpl, EZBinCImpl, EZDistributionCImpl, EZGraphCImpl, FArgumentsCImpl, FCallCImpl, GammaDistCImpl, GraphCImpl, GraphElementCImpl, Grid2dCImpl, GUISwarmCImpl, HDF5ArchiverCImpl, HDF5CImpl, HistogramCImpl, Int2dFilerCImpl, LinkItemCImpl, LispArchiverCImpl, ListCImpl, ListShufflerCImpl, LogNormalDistCImpl, MapCImpl, MessageProbeCImpl, MT19937genCImpl, MultiVarProbeDisplayCImpl, NodeItemCImpl, NormalDistCImpl, NSelectCImpl, Object2dDisplayCImpl, OvalNodeItemCImpl, PermutationCImpl, PixmapCImpl, PMMLCG1genCImpl, PoissonDistCImpl, ProbeDisplayCImpl, ProbeDisplayManagerCImpl, ProbeLibraryCImpl, ProbeMapCImpl, PSWBgenCImpl, QSortCImpl, RandomBitDistCImpl, RasterCImpl, RectangleNodeItemCImpl, ScheduleCImpl, StringCImpl, SwarmCImpl, SwarmEnvironmentCImpl, SwarmObjectCImpl, SymbolCImpl, UNameCImpl, UniformDoubleDistCImpl, UniformIntegerDistCImpl, UniformUnsignedDistCImpl, Value2dDisplayCImpl, VarProbeCImpl, WarningCImpl, ZoneCImpl, ZoomRasterCImpl

public class PhaseCImpl
extends BaseImpl

Field Summary
`java.lang.Object` | `nextPhase`

Constructor Summary
`PhaseCImpl()`
`PhaseCImpl(java.lang.Object nextPhase)`

Method Summary
`void` | `_copy_creating_phase_to_using_phase()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nextPhase

    public java.lang.Object nextPhase

Constructor Detail

### PhaseCImpl

    public PhaseCImpl()

### PhaseCImpl

    public PhaseCImpl(java.lang.Object nextPhase)

Method Detail

### _copy_creating_phase_to_using_phase

    public void _copy_creating_phase_to_using_phase()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD